# Uses of Class
org.snpeff.reactome.Entity

Packages that use Entity
Package
Description
org.snpeff.reactome
org.snpeff.reactome.events

## Uses of Entity in org.snpeff.reactome

Subclasses of Entity in org.snpeff.reactome
Modifier and Type
Class
Description
`class`
`Compartment`
A Reactome compartment (a part of a cell)
Methods in org.snpeff.reactome that return types with arguments of type Entity
Modifier and Type
Method
Description
`Iterator<Entity>`
Reactome.`iterator()`
Methods in org.snpeff.reactome with parameters of type Entity
Modifier and Type
Method
Description
`void`
Monitor.`add(Entity e)`
`void`
Reactome.`add(Entity entity, String geneId)`
Add an entity invalid input: '<'-> geneId
`int`
Entity.`compareTo(Entity e)`
Method parameters in org.snpeff.reactome with type arguments of type Entity
Modifier and Type
Method
Description
`double`
Entity.`calc(HashSet<Entity> doneEntities)`
Calculate entities.
`String`
Entity.`toString(int tabs, HashSet<Entity> done)`

## Uses of Entity in org.snpeff.reactome.events

Subclasses of Entity in org.snpeff.reactome.events
Modifier and Type
Class
Description
`class`
`BlackBoxEvent`
A black box event
`class`
`CatalystActivity`
A catalyst activity event
`class`
`Complex`
A Reactome complex (a bunch of molecules or complexes
`class`
`Depolymerisation`
A depolymerization event
`class`
`Event`
A reactome event (any generic event, from pathways to polymerizations)
`class`
`Pathway`
A Reactome pathway
`class`
`Polymerisation`
A polymerization event
`class`
`Reaction`
A reaction
Fields in org.snpeff.reactome.events with type parameters of type Entity
Modifier and Type
Field
Description
`protected HashSet<Entity>`
Reaction.`catalyst`
`protected HashMap<Entity,Double>`
Reaction.`inputs`
`protected HashSet<Entity>`
Reaction.`outputs`
`protected HashMap<Entity,Reaction.RegulationType>`
Reaction.`regulator`
Methods in org.snpeff.reactome.events that return types with arguments of type Entity
Modifier and Type
Method
Description
`HashSet<Entity>`
Reaction.`getCatalyst()`
`Collection<Entity>`
Reaction.`getInputs()`
`HashSet<Entity>`
Reaction.`getOutputs()`
`HashMap<Entity,Reaction.RegulationType>`
Reaction.`getRegulator()`
`Iterator<Entity>`
Complex.`iterator()`
Methods in org.snpeff.reactome.events with parameters of type Entity
Modifier and Type
Method
Description
`void`
Complex.`add(Entity e)`
`void`
Reaction.`addCatalyst(Entity e)`
`void`
Reaction.`addInput(Entity e)`
`void`
Reaction.`addOutput(Entity e)`
`void`
Reaction.`addRegulator(Entity e, String type)`
`void`
Reaction.`addRegulator(Entity e, Reaction.RegulationType type)`
Method parameters in org.snpeff.reactome.events with type arguments of type Entity
Modifier and Type
Method
Description
`double`
Reaction.`calc(HashSet<Entity> doneEntities)`
Calculate entities.
`String`
Complex.`toString(int tabs, HashSet<Entity> done)`
`String`
Pathway.`toString(int tabs, HashSet<Entity> done)`
`String`
Reaction.`toString(int tabs, HashSet<Entity> done)`